Skip to content
MarketplaceSellers

Update a seller

Updates a seller's identity, policies, commission, legal, catalog, shipping, fulfillment, and profile settings. A seller updates only its own profile, policies, contact, and legal data; changing legal data returns it to review.

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://api.ecomiq.pe/api/v1/sellers/7204558912004323447" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "name": "Textiles Andinos",    "slug": "textiles-andinos",    "description": "Polo de algodón pima para uso diario.",    "phone": "+51987654321",    "emailNotification": "andrea.ramos@example.com",    "deliveryPolicy": "Textiles Andinos",    "privacyAndSecurityPolicy": "Textiles Andinos",    "commissionPercent": 10  }'
{  "id": "7204558912004323447",  "storeId": "7204558912004327977",  "name": "Textiles Andinos",  "slug": "textiles-andinos",  "countryCode": "PE",  "currencyCode": "PEN",  "commissionPercent": 10,  "isInternal": false,  "catalogSettings": {    "productApprovalPolicy": "manualReview",    "promotionsEnabled": true  },  "shippingSettings": {    "shippingEnabled": true,    "shippingProfilesEnabled": true,    "fulfillmentMode": "marketplaceFulfilled",    "rateManagementMode": "marketplaceRates",    "allowedShippingMethods": [      "regular"    ],    "maxTransitDays": 30,    "minShippingRate": 1,    "maxShippingRate": 1  },  "legalInfo": {    "isVerified": true,    "isComplete": false,    "taxId": "45678912",    "businessLicense": "Mi tienda",    "legalName": "Mi tienda",    "legalAddress": "Mi tienda",    "contactPerson": "Mi tienda",    "contactEmail": "andrea.ramos@example.com"  },  "billingInfo": {    "isComplete": false,    "accountHolder": "Mi tienda",    "documentNumber": "45678912",    "bankName": "Mi tienda",    "accountType": "Mi tienda",    "accountNumber": "Mi tienda",    "interbankAccountNumber": "Mi tienda"  },  "profile": {    "linkStyle": "icons",    "verified": true,    "hasMedia": false,    "hasSocialLinks": false,    "logo": "Textiles Andinos",    "banner": "Textiles Andinos",    "avatar": "Textiles Andinos",    "backgroundImage": "Textiles Andinos"  },  "fulfillment": {    "offersShipping": false,    "offersPickup": false,    "offersDigitalDelivery": false,    "offersInstallation": false,    "hasAnyOption": false  },  "rating": {    "averageRating": 5,    "totalReviews": 24,    "fiveStars": 1,    "fourStars": 1,    "threeStars": 1,    "twoStars": 1,    "oneStar": 1,    "hasReviews": false  },  "status": "active",  "createdOn": "2026-09-28T15:30:00Z"}